Bug 238612 - OOPS for latest xen kernel
OOPS for latest xen kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eduardo Habkost
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 15:46 EDT by madams
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6-2.6.20-2925.8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 15:22:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description madams 2007-05-01 15:46:57 EDT
Description of problem:
Kernel OOPS

Version-Release number of selected component (if applicable):
Fedora 7 test 4

How reproducible:
Every time
Steps to Reproduce:
1.  Boot fc7
2.  Run virt-manager

  
Actual results:
May  1 15:10:45 localhost kernel: CPU:    0
May  1 15:10:45 localhost kernel: EIP:    0002:[<00000002>]    Not tainted VLI
May  1 15:10:45 localhost kernel: EFLAGS: 00000000   (2.6.20-2925.5.fc7xen #1)
May  1 15:10:45 localhost kernel: EIP is at 0x2
May  1 15:10:45 localhost kernel: eax: 00000000   ebx: 00f0a402   ecx: 00000073
  edx: 00000202
May  1 15:10:45 localhost kernel: esi: bfa6ecf4   edi: 0000007b   ebp: 00000000
  esp: c8e1001c
May  1 15:10:45 localhost kernel: ds: 0000   es: 0000   ss: 0069
May  1 15:10:45 localhost kernel: Process /usr/share/virt (pid: 3396,
ti=c8e0f000 task=c8e32030 task.ti=c8e0f000)
May  1 15:10:45 localhost kernel: Stack: 00000001 ffffffff 00000000 00000004
ffffffff 6d6f682f 616d2f65 736d6164 
May  1 15:10:45 localhost kernel:        65622e2f 656c6761 676f4c2f 3030322f
35302d37 2d31302d 302d3531 35352d36 
May  1 15:10:45 localhost kernel:        6165422d 00656c67 00000000 00000000
00000000 00010202 00000000 00000000 
May  1 15:10:45 localhost kernel: Call Trace:
May  1 15:10:45 localhost kernel: BUG: unable to handle kernel paging request at
virtual address 616d2034
May  1 15:10:45 localhost kernel:  printing eip:
May  1 15:10:45 localhost kernel: c1005d6a
May  1 15:10:45 localhost kernel: 04930000 -> *pde = 00000000:1d976001
May  1 15:10:45 localhost kernel: 04976000 -> *pme = 00000000:00000000
May  1 15:10:45 localhost kernel: Oops: 0000 [#2]
May  1 15:10:45 localhost kernel: SMP 
May  1 15:10:45 localhost kernel: last sysfs file:
/hypervisor/properties/capabilities
May  1 15:10:45 localhost kernel: Modules linked in: i915 drm netloop netbk
blktap blkbk ipt_MASQUERADE iptable_nat nf_nat bridge autofs4 h
idp rfcomm l2cap bluetooth sunrpc nf_conntrack_netbios_ns nf_conntrack_ipv4
xt_state nf_conntrack nfnetlink ipt_REJECT iptable_filter ip_ta
bles xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables dm_multipath
video sbs i2c_ec dock button battery asus_acpi backlight ac ipv
6 lp loop snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_time
r snd serial_core soundcore parport_pc snd_page_alloc serio_raw parport pcspkr
iTCO_wdt tg3 i2c_i801 e100 i2c_core mii iTCO_vendor_support floppy sr_mod cdro
m sg dm_snapshot dm_zero dm_mirror dm_mod ata_piix ata_generic libata sd_mod
scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
May  1 15:10:45 localhost kernel: CPU:    0
May  1 15:10:45 localhost kernel: EIP:    0061:[<c1005d6a>]    Not tainted VLI
May  1 15:10:45 localhost kernel: EFLAGS: 00010046   (2.6.20-2925.5.fc7xen #1)
May  1 15:10:45 localhost kernel: EIP is at dump_trace+0x88/0x9e
May  1 15:10:45 localhost kernel: eax: 00000000   ebx: c8e0fe5c   ecx: c12c1aa4
  edx: c1295e5f
May  1 15:10:45 localhost kernel: esi: 616d2000   edi: c1275088   ebp: c8e0fe5c
  esp: c8e0fe4c
May  1 15:10:45 localhost kernel: ds: 007b   es: 007b   ss: 0069
May  1 15:10:45 localhost kernel: Process /usr/share/virt (pid: 3396,
ti=c8e0f000 task=c8e32030 task.ti=c8e0f000)
May  1 15:10:45 localhost kernel: Stack: c1274f48 c1275088 00000018 00000000
c8e0fe70 c1005d9a c12c1aa4 c1275088 
May  1 15:10:45 localhost kernel:        c8e1007f c8e0fe94 c1005e4a c1275088
c1275088 c8e0ffe4 c8e1001c 00000002 
May  1 15:10:45 localhost kernel:        00000000 c8e0ffe4 c8e0fee0 c1005fe6
c1275088 00000010 c8e321c4 00000d44 
May  1 15:10:45 localhost kernel: Call Trace:
May  1 15:10:45 localhost kernel:  [<c1005d9a>] show_trace_log_lvl+0x1a/0x2f
May  1 15:10:45 localhost kernel:  [<c1005e4a>] show_stack_log_lvl+0x9b/0xa3
May  1 15:10:45 localhost kernel:  [<c1005fe6>] show_registers+0x194/0x26a
May  1 15:10:45 localhost kernel:  [<c10061ed>] die+0x131/0x246
May  1 15:10:45 localhost kernel:  [<c11f9951>] do_page_fault+0xafc/0xc80
May  1 15:10:45 localhost kernel:  [<c11f7c45>] error_code+0x35/0x3c
May  1 15:10:45 localhost kernel:  [<c1005d9a>] show_trace_log_lvl+0x1a/0x2f
May  1 15:10:45 localhost kernel:  [<c1005e4a>] show_stack_log_lvl+0x9b/0xa3
May  1 15:10:45 localhost kernel:  [<c1005fe6>] show_registers+0x194/0x26a
May  1 15:10:45 localhost kernel:  [<c10061ed>] die+0x131/0x246
May  1 15:10:45 localhost kernel:  [<c11f7d5b>] do_trap+0x79/0x91
May  1 15:10:45 localhost kernel:  [<c1006ab6>] do_iret_error+0xb5/0xc0
May  1 15:10:45 localhost kernel:  [<c11f7c45>] error_code+0x35/0x3c
May  1 15:10:45 localhost kernel:  =======================
May  1 15:10:45 localhost kernel: Code: 00 39 c3 73 15 8b 4d 08 89 f8 8b 53 04
ff 51 08 8b 03 39 d8 76 04 89 c3 eb dd 8b 4d 08 ba 5f 5e 29 c1 89 f8 ff 51 0c 
85 c0 78 10 <8b> 4e 34 85 c9 74 09 89 ce e8 e1 a4 00 00 eb b6 5e 5b 5e 5f 5d 
May  1 15:10:45 localhost kernel: EIP: [<c1005d6a>] dump_trace+0x88/0x9e SS:ESP
0069:c8e0fe4c


Expected results:
No OOPS

Additional info:
Comment 1 madams 2007-05-04 10:02:33 EDT
Looking at dmesg in more detail provides this:

BUG: at kernel/lockdep.c:1858 trace_hardirqs_on()
 [<c1005d9a>] show_trace_log_lvl+0x1a/0x2f
 [<c1006343>] show_trace+0x12/0x14
 [<c10063be>] dump_stack+0x16/0x18
 [<c1037439>] trace_hardirqs_on+0xc4/0x143
 [<c10055d4>] restore_all+0x3b/0x3e
Comment 2 Eduardo Habkost 2007-05-14 16:35:31 EDT
The new kernel-xen package (kernel-xen-2.6-2.6.20-2925.8.fc7) should fix this 
problem.
Comment 3 madams 2007-05-14 17:09:00 EDT
I no longer see the oops.  However, the kernel/lockdep.c:1858
trace_hardirqs_on() still occurs.  I am not experiencing issues from this that I
know of.

Note You need to log in before you can comment on or make changes to this bug.